Skip to content

Cloud Manifest

The Cloud Manifest is a read-only, aggregated snapshot of a cloud's configuration, its multi-cloud relationships and the status of its active branches. It is intended as a single call that returns everything a client needs to know to bootstrap itself against a given Cloud.

Cloud Manifest schema

cloud object
Cloud configuration profile - see Cloud config profile

multicloud object
Multi-cloud profile - see Multi-cloud profile

branches array
List of active branches with their status - see Branch status

Cloud config profile schema

name string?
Cloud name

countryCode string?
2-letter uppercase country code according to ISO 3166-1 alpha-2

currency string?
3-letter uppercase currency according to ISO 4217

stockConfiguration object?
Stock configuration - see Stock configuration

customerConfiguration object?
Customer configuration - see Customer configuration

Stock configuration schema

mode enum
Stock valuation mode. One of avg_purchase_price, fixed_stock_price

Customer configuration schema

useAccounts boolean
Whether customer accounts are used

usePoints boolean
Whether customer loyalty points are used

Multi-cloud profile schema

parentCloudId integer?
ID of the parent Cloud in a multi-cloud tree, or null for a standalone/parent cloud

config object?
Cloud sync configuration - see Cloud config

connectedCloudIds array
Flattened list of Cloud IDs connected in the same multi-cloud tree (excluding the requested cloud), sorted ascending

Cloud config schema

fullTableSync array?
List of table names that are fully synchronized across the multi-cloud

customerAccountSource enum?
Where customer account data is stored. One of local (in the cloud), parentCloud (in the parent cloud)

Branch status schema

branchId integer
Branch ID

name string?
Branch name

isLicensed boolean
Whether the branch has an active license (a used, enabled, non-expired activation key, or a special enabled key)

features array
Set of enabled feature flags. Contains posAction when the branch has an active premium (or higher) license

stockDeductionMode enum
Stock deduction mode of the branch. One of disabled, orderPark, documentIssue (defaults to documentIssue when not configured)

Cloud Manifest response

{
    "cloud": {
        "name": <string>,
        "countryCode": <string>,
        "currency": <string>,
        "stockConfiguration": {
            "mode": <string>
        },
        "customerConfiguration": {
            "useAccounts": <boolean>,
            "usePoints": <boolean>
        }
    },
    "multicloud": {
        "parentCloudId": <integer>,
        "config": {
            "fullTableSync": [
                <string>,
                ...
            ],
            "customerAccountSource": <string>
        },
        "connectedCloudIds": [
            <integer>,
            ...
        ]
    },
    "branches": [
        {
            "branchId": <integer>,
            "name": <string>,
            "isLicensed": <boolean>,
            "features": [
                <string>,
                ...
            ],
            "stockDeductionMode": <string>
        },
        ...
    ]
}

Get cloud manifest

GET https://api.dotykacka.cz/v2/clouds/:cloudId/manifest

Path Parameters

Name Type Description
cloudId* integer

Header Parameters

Name Type Description
Authorization* string Bearer accessToken

Responses

{
    <Cloud Manifest response schema>
}
{
    // Response
}
{
    // Response
}